OpenTTD Source: PLYRChunkHandler Struct Reference

OpenTTD Source 15.3

Public Member Functions
PLYRChunkHandler Struct Reference
Inheritance diagram for PLYRChunkHandler:

## Public Member Functions
void | Save () const override
| Save the chunk.
void | Load () const override
| Load the chunk.
void | LoadCheck (size_t) const override
| Load the chunk for game preview.
void | FixPointers () const override
| Fix the pointers.
Public Member Functions inherited from ChunkHandler
| ChunkHandler (uint32_t id, ChunkType type)
std::string | GetName () const

## Additional Inherited Members
Data Fields inherited from ChunkHandler
uint32_t | id
| Unique ID (4 letters).
ChunkType | type
| Type of the chunk.

## Detailed Description

Definition at line 551 of file company_sl.cpp.

## Constructor & Destructor Documentation

## ◆ PLYRChunkHandler()

PLYRChunkHandler::PLYRChunkHandler | ( |  | ) |
| inline

Definition at line 552 of file company_sl.cpp.

## Member Function Documentation

## ◆ FixPointers()

void PLYRChunkHandler::FixPointers | ( |  | ) | const
| inlineoverridevirtual

Fix the pointers.

Pointers are saved using the index of the pointed object. On load, pointers are filled with indices and need to be fixed to point to the real object. Must be overridden if the chunk saves any pointer.

Reimplemented from ChunkHandler.

Definition at line 610 of file company_sl.cpp.

References Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem<&_company_pool >::Iterate(), and SlObject().

## ◆ Load()

void PLYRChunkHandler::Load | ( |  | ) | const
| inlineoverridevirtual

Load the chunk.

Must be overridden.

Implements ChunkHandler.

Definition at line 564 of file company_sl.cpp.

References _company_colours, _company_sl_compat, CompanyProperties::colour, SlCompatTableHeader(), SlIterateArray(), and SlObject().

## ◆ LoadCheck()

void PLYRChunkHandler::LoadCheck | ( | size_t | len | ) | const
| inlineoverridevirtual

Load the chunk for game preview.

Default implementation just skips the data.

Parameters

  len | Number of bytes to skip.

Reimplemented from ChunkHandler.

Definition at line 577 of file company_sl.cpp.

References _company_sl_compat, _load_check_data, LoadCheckData::companies, GetStringTab(), IsInsideMM(), IsSavegameVersionBefore(), SlCompatTableHeader(), SlIterateArray(), SlObject(), SLV_84, SPECSTR_ANDCO_NAME, SPECSTR_COMPANY_NAME_START, SPECSTR_PRESIDENT_NAME, and SPECSTR_SILLY_NAME.

## ◆ Save()

void PLYRChunkHandler::Save | ( |  | ) | const
| inlineoverridevirtual

Save the chunk.

Must be overridden, unless Chunk type is CH_READONLY.

Reimplemented from ChunkHandler.

Definition at line 554 of file company_sl.cpp.

References Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem<&_company_pool >::Iterate(), SlObject(), and SlTableHeader().

The documentation for this struct was generated from the following file:

- src/saveload/company_sl.cpp